## javanet.staxutils
Interface StAXReaderToContentHandler

All Known Implementing Classes:
  XMLEventReaderToContentHandler, XMLStreamReaderToContentHandler

    public interface StAXReaderToContentHandler

Common API's for adapting StAX events from `XMLStreamReader` and `XMLEventReader` into SAX events on the specified `ContentHandler`.

Version:
  1.0
Author:
  Ryan.Shoemaker@Sun.COM

Method Summary
`void` `bridge()` Perform the conversion from StAX events to SAX events.

Method Detail

### bridge

    void bridge()
                throws XMLStreamException

  Perform the conversion from StAX events to SAX events.

  The StAX parser must be pointing at the start element or the start document. The method reads the parser until it hits the corresponding end element, and turns the complete sub-tree into the equivalent of the SAX events.

  The receiver of the SAX event will see this sub-tree as if it were a whole document.

  When this method returns successfully, the parser is at the next token of the end element.

  Throws:
    `XMLStreamException` - if any errors are encountered while parsing XML from the XMLStreamReader or firing events on the ContentHandler.